scala.util.parsing.combinator.Parsers
class NoSuccess

[source: `scala/util/parsing/combinator/Parsers.scala`]

`sealed abstract` `class` NoSuccess(`val` msg : String, `val override` next : Reader)
  `extends` ParseResult[Nothing]

  A common super-class for unsuccessful parse results

Direct Known Subclasses:
  Parsers.Failure, Parsers.Error

Value Summary
`val` | successful : Boolean

Method Summary
`def` | get : Nothing Returns the embedded result
`def` | map [U](f : (Nothing) => U) : NoSuccess Functional composition of ParseResults
`def` | mapPartial [U](f : PartialFunction[Nothing, U], error : (Nothing) => String) : ParseResult[U] Partial functional composition of ParseResults

Methods inherited from ParseResult
isEmpty, getOrElse

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` successful : Boolean

Overrides
  ParseResult.successful

Method Details

`` `def` map[U](f : (Nothing) => U) : NoSuccess

  Functional composition of ParseResults

Parameters
  ``f' -` the function to be lifted over this result
Returns
  `f' applied to the result of this `ParseResult', packaged up as a new `ParseResult'

Overrides
  ParseResult.map

`` `def` mapPartial[U](f : PartialFunction[Nothing, U], error : (Nothing) => String) : ParseResult[U]

  Partial functional composition of ParseResults

Parameters
  ``f' -` the partial function to be lifted over this result
  `error -` a function that takes the same argument as `f' and produces an error message to explain why `f' wasn't applicable (it is called when this is the case)
Returns
  if `f' f is defined at the result in this `ParseResult', `f' applied to the result of this `ParseResult', packaged up as a new `ParseResult'. If `f' is not defined, `Failure'.

Overrides
  ParseResult.mapPartial

`` `def` get : Nothing

  Returns the embedded result

Overrides
  ParseResult.get